using System;

internal sealed class Delegate456 : MulticastDelegate
{
	public extern void Invoke(object object_0, int int_0);

	public static void smethod_0(object object_0, int int_0, Delegate456 delegate456_1)
	{
		delegate456_1(object_0, int_0);
	}

	public extern Delegate456(object object_0, IntPtr intptr_0);

	static Delegate456()
	{
		Class10.smethod_13(typeof(Delegate456).TypeHandle);
	}

	internal static Delegate456 delegate456_0;
}
